Skip to main content
POST
/
api
/
v1
/
secrets
Create secret
curl --request POST \
  --url https://api.devhelm.io/api/v1/secrets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "value": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "dekVersion": 123,
    "valueHash": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "usedByMonitors": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Body

application/json
key
string
required

Unique secret key within the workspace (max 255 chars)

Maximum string length: 255
value
string
required

Secret value, stored encrypted (max 32KB)

Maximum string length: 32768

Response

201 - */*

Created

data
object

Secret with change-detection hash; plaintext value is never returned